#!/bin/bash
# Run QEMU emulating a 486, booting from a floppy specified as first parameter
set -e

if [ ! -e "/sys/class/net/vmbr-lan" ]; then
	ip link add vmbr-lan type bridge
fi

qemu-system-i386 \
	-m 16m \
	-fda "${1}" \
	-nographic \
	-nic user,model=rtl8139 \
	-nic bridge,br=vmbr-lan,model=rtl8139
tput reset
